### Abstract ###

Name: evolution-sharp
Version: 0.20.0
Release: 3%{?dist}
License: LGPLv2
Group: System Environment/Libraries
Summary: Evolution Data Server Mono Bindings
URL: http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/
Source: http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/0.17/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 armv4l sparc alpha

### Patches ###

# GNOME bug #516044
Patch1: evolution-sharp-0.11.1-libdir.patch

# RH bug #221555 / GNOME bug #516044
Patch2: evolution-sharp-0.12.1-fix-assembly-dir.patch

### Dependencies ###

Requires: evolution-data-server

### Build Dependencies ###

BuildRequires: automake
BuildRequires: evolution-data-server-devel
BuildRequires: gtk-sharp2-devel
BuildRequires: gtk-sharp2-gapi
BuildRequires: libtool
BuildRequires: mono-devel

%description
Mono/C# bindings for the Evolution addressbook.

%package devel
Summary: Development files for evolution-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains development files for evolution-sharp.

%prep
%setup -q
%patch1 -p1 -b .libdir
%patch2 -p1 -b .fix-assembly-dir

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/*.so
%{_libdir}/mono/evolution-sharp/
%{_libdir}/mono/gac/evolution-sharp/
%{_datadir}/gapi-2.0/

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/evolution-sharp.pc

# !!! REMINDER !!!
#
# If building against a new version of evolution-data-server, the required
# sonames may need to be updated in evolution-sharp's configure.in.

%changelog
* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.20.0-3
- Rebuild to pick up ppc64.

* Fri May 29 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.20.0-2
- Build arch ppc64.

* Thu Mar 26 2009 Matthew Barnes <mbarnes@redhat.com> - 0.20.0-1.fc11
- Update to 0.20.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Matthew Barnes <mbarnes@redhat.com> - 0.19.2.1-1.fc11
- Update to 0.19.2.1

* Sun Feb 15 2009 Matthew Barnes <mbarnes@redhat.com> - 0.19.2-1.fc11
- Update to 0.19.2

* Fri Jan 30 2009 Matthew Barnes <mbarnes@redhat.com> - 0.19.1-2.fc11
- Fix unowned directory (RH bug #483345).

* Mon Jan 19 2009 Matthew Barnes <mbarnes@redhat.com> - 0.19.1-1.fc11
- Update to 0.19.1

* Thu Sep 25 2008 Matthew Barnes <mbarnes@redhat.com> - 0.18.0-1.fc10
- Update to 0.18.0

* Wed Sep 10 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17.5-1.fc10
- Update to 0.17.5

* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.17.4-3
- fix license tag
- fix patches to apply with fuzz=0
- fix source url

* Mon Jul 14 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17.4-2.fc10
- Rebuild against newer mono(glib-sharp).

* Mon Jun 16 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17.4-1.fc10
- Update to 0.17.4.

* Mon Jun 02 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17.3-1.fc10
- Update to 0.17.3.

* Tue May 27 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17.2-2.fc10
- Rebuild against newer mono(glib-sharp).

* Tue May 13 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17.2-1.fc10
- Update to 0.17.2.

* Mon Apr 21 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17.1-1.fc10
- Update to 0.17.1.

* Tue Apr 08 2008 Matthew Barnes <mbarnes@redhat.com> - 0.16.1-1.fc9
- Restore patches for RH bug #221555 and GNOME bug #516044.  Upstream
  accepted and then rejected the patches because upstream does multilib
  differently and they don't have a seperate directory configure option
  for Mono assemblies (I suggested --monodir=DIR but no one seemed
  interested).

* Mon Mar 10 2008 Matthew Barnes <mbarnes@redhat.com> - 0.16.0-1.fc9
- Update to 0.16.0

* Tue Feb 26 2008 Matthew Barnes <mbarnes@redhat.com> - 0.15.92-1.fc9
- Update to 0.15.92
- Remove patch for RH bug #221555 (fixed upstream).
- Remove patch for GNOME bug #516044 (fixed upstream).

* Tue Feb 12 2008 Matthew Barnes <mbarnes@redhat.com> - 0.15.91-1.fc9
- Update to 0.15.91

* Wed Dec 19 2007 Matthew Barnes <mbarnes@redhat.com> - 0.15.4-1.fc9
- Update to 0.15.4

* Wed Oct 31 2007 Matthew Barnes <mbarnes@redhat.com> - 0.15.1-1.fc9
- Update to 0.15.1

* Tue Sep 18 2007 Matthew Barnes <mbarnes@redhat.com> - 0.14.0.1-1.fc8
- Update to 0.14.0.1

* Thu Aug 23 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13.3-1.fc8
- Update to 0.13.3

* Wed Aug 15 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13.2-1.fc8
- Update to 0.13.2

* Thu Jul 19 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13.1-1.fc8
- Update to 0.13.1

* Fri Jun 29 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13-2.fc8
- Add alpha to ExclusiveArch (RH bug #246204).

* Tue Jun 19 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13-1.fc8
- Update to 0.13

* Fri May 18 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.4-1.fc8
- Update to 0.12.4

* Sun Mar 25 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.2-2.fc7
- Remove evolution-devel build requirement (RH bug #178661).

* Tue Jan 23 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.2-1.fc7
- Update to 0.12.2

* Fri Jan 05 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.1-2.fc7
- Add patch for RH bug #221555 (wrong install directory).
- Fix location of mono files to conform to packaging guidelines.

* Wed Jan 03 2007 Matthew Barnes <mbarnes@redhat.com> - 0.12.1-1.fc7
- Update to 0.12.1
- Remove evolution-sharp-0.11.1-evo210.patch (fixed upstream).
- Mono files now live in %{_prefix}/lib rather than %{_libdir}.

* Fri Nov 17 2006 Matthew Barnes <mbarnes@redhat.com> - 0.12.0-1.fc7
- Update to 0.12.0
- Don't ship unused patches.
- Remove evolution-sharp-evo26.patch (fixed upstream).
- Remove evolution-sharp-0.11.1-evo28.patch (fixed upstream).

* Mon Oct 30 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-12.fc7
- Put pkgconfig file in a devel subpackage (bug #205049).

* Sat Oct 28 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-11.fc7
- Update configure.in for Evolution 2.10.
- Add BuildRequires for gtk-sharp2-devel.

* Tue Sep 12 2006 Matthias Clasen  <mclasen@redhat.com> - 0.11.1-10
- Fix the libedataserver version

* Mon Sep 11 2006 Matthias Clasen  <mclasen@redhat.com> - 0.11.1-9
- Rebuild again

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.11.1-8
- Rebuild with the new mono libdir

* Mon Aug  7 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-7
- Rebuild for evolution-data-server-1.7.91
- Update required sonames from e-d-s.

* Sat Aug  5 2006 Matthew Barnes <mbarnes@redhat.com> - 0.11.1-6
- Rebuild for evolution-data-server-1.7.90
- Update required sonames from e-d-s.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.11.1-5.1
- rebuild

* Wed Jun 21 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-5
- Mono no longer available on s390 and s390x.

* Wed Jun 21 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-4
- Update evolution-sharp-0.11.1-evo28.patch to set ECAL_SOVERSION to 6.
- Fix BuildRoot

* Fri Jun 16 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-3
- Rebuild

* Mon May 15 2006 Matthew Barnes <mbarnes@redhat.com> 0.11.1-1
- Update to 0.11.1
- Remove evolution-sharp-0.10.2-evolibdir.patch (fixed upstream).
- Remove pkg-config hunk from evolution-sharp-evo26.patch (fixed upstream).
- Add evolution-sharp-0.11.1-evo28.patch for compatibility with Evolution 2.8.

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.10.2-9
- BuildRequire gtk-sharp2

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-8
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.10.2-7.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-7
- Update evolution-sharp-evo26.patch look for a SO_NUM of 7 for edataserver
- BuildRequire evolution-devel

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.10.2-6
- Rebuild

* Sat Jan 28 2006 David Malcolm <dmalcolm@redhat.com> 0.10.2-5
- rebuild

* Sun Jan 22 2006 Alexander Larsson <alexl@redhat.com> 0.10.2-4
- Build on s390x

* Tue Jan 10 2006 Alexander Larsson <alexl@redhat.com> - 0.10.2-3
- Fix evo 2.6 patch
- Add evolibdir pkg-config variable patch from cvs (modified for evo 2.6)

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.10.2-2
- Add s390 arch
- Build with evo 2.6

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> - 0.10.2-1
- Initial version
